From Proxscripts Documentation
Revision as of 10:58, 18 December 2018 by Maksa (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Upgrading Steps from Version (1.0 to 2.0)
Most Important:

When you upgrade your ProXCore Script from Version 1.0 to 2.0, make sure that you keep the following things in mind:

  • Make sure that you have not made any design changes in the current script version 1.0
  • Make sure that you have not made any customisation changes in current script version 1.0

If you have made any design or customisation changes and if you upgrade the script version, then these changes will go away/disappear and some functionalities may not work properly or stop working completely. In case, if you have done any major customisation, then your system may crash.

If you are using current script version 1.0 as default without making any design/theme/customisation changes, then you are safe to upgrade your script version.

If you have made only design changes, then after upgradation you will need to recode your customised design template.

If any of your programming or designing customisation is removed/no longer available or if your website stops working after version upgradation, then it will not be our responsibility. You need to perform the version upgradation at your own risk.

You can check out the release notes for Version 2.0 here

Please find the version upgradation steps as below. Please read the steps carefully and follow them.

Step 1:

Make sure you take your entire script backup including database, files, etc.

Step 2:

Change your theme to any of the default themes that comes with the script. If you have a custom theme/design and if you don’t change your theme to the script’s default theme, then your site will not work.

Step 3:

Keep your site in maintenance mode before performing version upgradation in order to avoid data mismatch.

Step 4:

Download your script from your ProXScripts account

Step 5:

"Unzip" the downloaded script files and go to the following folder => “upload”

Note :

Before you overwrite all the files, please ensure that you do not overwrite the “settings.php” file. This file will be found in the “public_html” directory. Please note that if you are using subdomain, then you will find this file in the “public_html/subdomain” directory. If you overwrite the “settings.php” file, then you will get an error and the upgradation will not be possible.

Step 6:

Next, connect your “FTP” to your “webhost account”. Overwrite all the unzipped files in upload folder to “public_html" directory.

Note :

Please note that if you are using subdomain, you must overwrite the files to corresponding public_html/subdomain directory.

Step 7:

Run upgrade/index.php File

  • [YOUR SITE URL]/upgrade/index.php
  • Click on “Update”
  • You will see an Alert box – “Click OK if you want to upgrade your script version”. Click on “OK” and the upgradation process will start. Please note that this step can take few minutes for performing upgradation. So, please be patient.
  • Step 8:

    Your ProXCore Script will be successfully upgraded from Version 1.0 to 2.0 after performing above steps and you will see the following screenshot:

    Delete the "install" and "upgrade" directories located in public_html/app/webroot folder. If any of these directories are not available, then please ignore. Once this is done, you are ready to go.

  • Step 9:

    Now you can login to your admin area with your existing credentials. You will be able to see the upgraded version in the login area of your admin panel and in the Information box in your admin area.

  • Step 10:

    Now, please upgrade your Module and the steps can be found here

    Upgrading Steps from Version (2.0 to 2.1)
    Most Important:

    When you upgrade your ProXCore Script from Version 2.0 to 2.1, make sure that you keep the following things in mind:

    • Make sure that you have not made any design changes in the current script version 2.0
    • Make sure that you have not made any customisation changes in current script version 2.0

    If you have made any design or customisation changes and if you upgrade the script version, then these changes will go away/disappear and some functionalities may not work properly or stop working completely. In case, if you have done any major customisation, then your system may crash.

    If you are using current script version 2.0 as default without making any design/theme/customisation changes, then you are safe to upgrade your script version.

    If you have made only design changes, then after upgradation you will need to recode your customised design template.

    If any of your programming or designing customisation is removed/no longer available or if your website stops working after version upgradation, then it will not be our responsibility. You need to perform the version upgradation at your own risk.

    You can check out the release notes for Version 2.1 here
       Please find the version upgradation steps as below. Please read the steps carefully and follow them.
    

    Step 1:

    Make sure you take your entire script backup including database, files, etc.

    Step 2:

    Change your theme to any of the default themes that comes with the script. If you have a custom theme/design and if you don’t change your theme to the script’s default theme, then your site will not work.

    Step 3:

    Keep your site in maintenance mode before performing version upgradation in order to avoid data mismatch.

    Step 4:

    Download your script from your ProXScripts account

    Step 5:

    "Unzip" the downloaded script files and go to the following folder => “upload”

    Note :

    Before you overwrite all the files, please ensure that you do not overwrite the “settings.php” file. This file will be found in the “public_html” directory. Please note that if you are using subdomain, then you will find this file in the “public_html/subdomain” directory. If you overwrite the “settings.php” file, then you will get an error and the upgradation will not be possible.

    Step 6:

    Next, connect your “FTP” to your “webhost account”. Overwrite all the unzipped files in upload folder to “public_html" directory.

    Note :

    Please note that if you are using subdomain, you must overwrite the files to corresponding public_html/subdomain directory.

    Step 7:

    Your ProXCore Script will be successfully upgraded from Version 2.0 to 2.1 after performing above steps and you will see the following screenshot:

    Delete the "install" directory located in public_html/app/webroot folder. If any of this directory is not available, then please ignore. Once this is done, you are ready to go.

    Step 8:

    Now you can login to your admin area with your existing credentials. You will be able to see the upgraded version in the login area of your admin panel and in the Information box in your admin area.

  • Step 9:

    Now, please upgrade your Module and the steps can be found here

    Upgrading Steps from Version (2.1 to 2.2)
    Most Important:

    When you upgrade your ProXCore Script from Version 2.1 to 2.2, make sure that you keep the following things in mind:

    • Make sure that you have not made any design changes in the current script version 2.1
    • Make sure that you have not made any customization changes in current script version 2.1

    If you have made any design or customization changes and if you upgrade the script version, then these changes will go away/disappear and some functionalities may not work properly or stop working completely. In case, if you have done any major customization, then your system may crash.

    If you are using current script version 2.1 as default without making any design/theme/customization changes, then you are safe to upgrade your script version.

    If you have made only design changes, then after upgradation you will need to recode your customized design template.

    If any of your programming or designing customization is removed/no longer available or if your website stops working after version upgradation, then it will not be our responsibility. You need to perform the version upgradation at your own risk.

    You can check out the release notes for Version 2.2 here
       Please find the version upgradation steps as below. Please read the steps carefully and follow them.
    

    Step 1:

    Make sure you take your entire script backup including database, files, etc.

    Step 2:

    Change your theme to any of the default themes that comes with the script. If you have a custom theme/design and if you don’t change your theme to the script’s default theme, then your site will not work.

    Step 3:

    Keep your site in maintenance mode before performing version upgradation in order to avoid data mismatch.

    Step 4:

    Download your script from your ProXScripts account

    Step 5:

    "Unzip" the downloaded script files and go to the following folder => “upload”

    Note :

    Before you overwrite all the files, please ensure that you do not overwrite the “settings.php” file. This file will be found in the “public_html” directory. Please note that if you are using subdomain, then you will find this file in the “public_html/subdomain” directory. If you overwrite the “settings.php” file, then you will get an error and the upgradation will not be possible.

    Step 6:

    Next, connect your “FTP” to your “webhost account”. Overwrite all the unzipped files in upload folder to “public_html" directory.

    Note :

    Please note that if you are using subdomain, you must overwrite the files to corresponding public_html/subdomain directory.

    Step 7:

    Run upgrade/index.php File

    • [YOUR SITE URL]/upgrade/index.php
    • Click on “Update”
    • You will see an Alert box – “Click OK if you want to upgrade your script version”. Click on “OK” and the upgradation process will start. Please note that this step can take few minutes for performing upgradation. So, please be patient.
  • Step 8:

    Your ProXCore Script will be successfully upgraded from Version 2.1 to 2.2 after performing above steps and you will see the following screenshot:

    Delete the "install" and "upgrade" directories located in public_html/app/webroot folder. If any of these directories are not available, then please ignore. Once this is done, you are ready to go.

  • Step 9:

    Now you can login to your admin area with your existing credentials. You will be able to see the upgraded version in the login area of your admin panel and in the Information box in your admin area.

  • Step 10:

    Now, please upgrade your Module and the steps can be found here

    Upgrading Steps from Version (2.2 to 2.3)
    Most Important:

    When you upgrade your ProXCore Script from Version 2.2 to 2.3, make sure that you keep the following things in mind:

    • Make sure that you have not made any design changes in the current script version 2.2
    • Make sure that you have not made any customization changes in current script version 2.2

    If you have made any design or customization changes and if you upgrade the script version, then these changes will go away/disappear and some functionalities may not work properly or stop working completely. In case, if you have done any major customization, then your system may crash.

    If you are using current script version 2.2 as default without making any design/theme/customization changes, then you are safe to upgrade your script version.

    If you have made only design changes, then after upgradation you will need to recode your customized design template.

    If any of your programming or designing customization is removed/no longer available or if your website stops working after version upgradation, then it will not be our responsibility. You need to perform the version upgradation at your own risk.

    You can check out the release notes for Version 2.3 here
     Please find the version upgradation steps as below. Please read the steps carefully and follow them.
    

    Step 1:

    Make sure you take your entire script backup including database, files, etc.

    Step 2:

    Change your theme to any of the default themes that comes with the script. If you have a custom theme/design and if you don’t change your theme to the script’s default theme, then your site will not work.

    Step 3:

    Keep your site in maintenance mode before performing version upgradation in order to avoid data mismatch.

    Step 4:

    Download your script from your ProXScripts account

    Step 5:

    "Unzip" the downloaded script files and go to the following folder => “upload”

    Note :

    Before you overwrite all the files, please ensure that you do not overwrite the “settings.php” file. This file will be found in the “public_html” directory. Please note that if you are using subdomain, then you will find this file in the “public_html/subdomain” directory. If you overwrite the “settings.php” file, then you will get an error and the upgradation will not be possible.

    Step 6:

    Next, connect your “FTP” to your “webhost account”. Overwrite all the unzipped files in upload folder to “public_html" directory.

    Note :

    Please note that if you are using subdomain, you must overwrite the files to corresponding public_html/subdomain directory.

    Step 7:

    Run upgrade/index.php File

    • [YOUR SITE URL]/upgrade/index.php
    • Click on “Update”
    • You will see an Alert box – “Click OK if you want to upgrade your script version”. Click on “OK” and the upgradation process will start. Please note that this step can take few minutes for performing upgradation. So, please be patient.
  • Step 8:

    Your ProXCore Script will be successfully upgraded from Version 2.2 to 2.3 after performing above steps and you will see the following screenshot:

    Delete the "install" and "upgrade" directories located in public_html/app/webroot folder. If any of these directories are not available, then please ignore. Once this is done, you are ready to go.

  • Step 9:

    Now you can login to your admin area with your existing credentials. You will be able to see the upgraded version in the login area of your admin panel and in the Information box in your admin area.

  • Upgrading Steps from Version (2.3 to 2.4)
    Most Important:

    When you upgrade your ProXCore Script from Version 2.3 to 2.4, make sure that you keep the following things in mind:

    • Make sure that you have not made any design changes in the current script version 2.3
    • Make sure that you have not made any customization changes in current script version 2.3

    If you have made any design or customization changes and if you upgrade the script version, then these changes will go away/disappear and some functionalities may not work properly or stop working completely. In case, if you have done any major customization, then your system may crash.

    If you are using current script version 2.3 as default without making any design/theme/customization changes, then you are safe to upgrade your script version.

    If you have made only design changes, then after upgradation you will need to recode your customized design template.

    If any of your programming or designing customization is removed/no longer available or if your website stops working after version upgradation, then it will not be our responsibility. You need to perform the version upgradation at your own risk.

    You can check out the release notes for Version 2.4 here
     Please find the version upgradation steps as below. Please read the steps carefully and follow them.
    

    Step 1:

    Make sure you take your entire script backup including database, files, etc.

    Step 2:

    Change your theme to any of the default themes that comes with the script. If you have a custom theme/design and if you don’t change your theme to the script’s default theme, then your site will not work.

    Step 3:

    Keep your site in maintenance mode before performing version upgradation in order to avoid data mismatch.

    Step 4:

    Download your script from your ProXScripts account

    Step 5:

    "Unzip" the downloaded script files and go to the following folder => “upload”

    Note :

    Before you overwrite all the files, please ensure that you do not overwrite the “settings.php” file. This file will be found in the “public_html” directory. Please note that if you are using subdomain, then you will find this file in the “public_html/subdomain” directory. If you overwrite the “settings.php” file, then you will get an error and the upgradation will not be possible.

    Step 6:

    Next, connect your “FTP” to your “webhost account”. Overwrite all the unzipped files in upload folder to “public_html" directory.

    Note :

    Please note that if you are using subdomain, you must overwrite the files to corresponding public_html/subdomain directory.

    Step 7:

    Run upgrade/index.php File

    • [YOUR SITE URL]/upgrade/index.php
    • Click on “Update”
    • You will see an Alert box – “Click OK if you want to upgrade your script version”. Click on “OK” and the upgradation process will start. Please note that this step can take few minutes for performing upgradation. So, please be patient.
  • Step 8:

    Your ProXCore Script will be successfully upgraded from Version 2.3 to 2.4 after performing above steps and you will see the following screenshot:

    Delete the "install" and "upgrade" directories located in public_html/app/webroot folder. If any of these directories are not available, then please ignore. Once this is done, you are ready to go.

  • Step 9:

    Now you can login to your admin area with your existing credentials. You will be able to see the upgraded version in the login area of your admin panel and in the Information box in your admin area.